Main Page Namespace List Compound List File List Namespace Members Compound Members

# iModuleIterator.h File Reference

Interface for an iterator for firmware modules on a LEGO MINDSTORMS NXT. More...

`#include "platform.h"`
`#include "iModule.h"`

Go to the source code of this file.

## Namespaces

namespace | nFANTOM100

## Compounds

class | nFANTOM100::iModuleIterator
| Interface to an iterator for firmware modules on a LEGO MINDSTORMS NXT. More...

## Typedefs

typedef ViObject | nFANTOM100_iModuleIterator

## Functions

nFANTOM100_kExport nFANTOM100_iModule _VI_FUNCC | nFANTOM100_iModuleIterator_getModule (nFANTOM100_iModuleIterator iteratorPtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iModuleIterator_advance (nFANTOM100_iModuleIterator iteratorPtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iModuleIterator_getName (nFANTOM100_iModuleIterator iteratorPtr, ViChar moduleName[], ViStatus *status)

## Detailed Description

Interface for an iterator for firmware modules on a LEGO MINDSTORMS NXT.

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.